# As of release 2.13, upstream renamed the package into HTML-Formatter
%define	upstream_name    HTML-Formatter
%define	upstream_version 2.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    CPAN %{upstream_name} perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/HTML-Format
# This package should be renamed into perl-HTML-Formatter
Source0:    https://cpan.metacpan.org/authors/id/N/NI/NIGELM/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Encode)
BuildRequires: perl(File::Slurper)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Font::Metrics::Courier)
BuildRequires: perl(Font::Metrics::CourierBold)
BuildRequires: perl(Font::Metrics::CourierBoldOblique)
BuildRequires: perl(Font::Metrics::CourierOblique)
BuildRequires: perl(Font::Metrics::Helvetica)
BuildRequires: perl(Font::Metrics::HelveticaBold)
BuildRequires: perl(Font::Metrics::HelveticaBoldOblique)
BuildRequires: perl(Font::Metrics::HelveticaOblique)
BuildRequires: perl(Font::Metrics::TimesBold)
BuildRequires: perl(Font::Metrics::TimesBoldItalic)
BuildRequires: perl(Font::Metrics::TimesItalic)
BuildRequires: perl(Font::Metrics::TimesRoman)
BuildRequires: perl(HTML::Element) >= 3.150.0
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::CPAN::Meta)
BuildRequires: perl(Test::EOL)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::NoTabs)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(base)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(bytes)
BuildRequires: perl(integer)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch
Obsoletes: perl-HTML-Format < %{version}-%{release}
Provides: perl-HTML-Format = %{version}-%{release}

%description
This is a collection of modules that formats HTML as plaintext,
PostScript or RTF.

The modules present in this package are:

  HTML::FormatText - Formatter that converts a syntax tree to plain
        readable text.

  HTML::FormatPS - Formatter that outputs PostScript code.

  HTML::FormatRTF - Formatter that outputs RTF code.

  HTML::Formatter - Base class for various formatters.  Formatters
        traverse a syntax tree and produce some textual output.  None
        of the current formatters handle tables or forms yet.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL installdirs=vendor NO_PACKLIST=1
%make_build

%install
%{__make} pure_install DESTDIR=$RPM_BUILD_ROOT

%check
%{__make} test

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/HTML/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 2.160.0-6.mga9
+ Revision: 1810951
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.160.0-5.mga8
+ Revision: 1519201
- Mageia 8 Mass Rebuild
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild
+ tv <tv>
- actually obsoletes perl-HTML-Format (SVN should probably be renamed)
- new release
  (upstream has renamed the pkg into HTML-Formatter)
- update BRs
- switch from Module::Build to MakeMaker

* Tue Oct 10 2017 tv <tv> 2.120.0-1.mga7
+ Revision: 1170650
- new release

* Thu Aug 24 2017 ovitters <ovitters> 2.110.0-5.mga7
+ Revision: 1145605
+ rebuild (emptylog)

* Sun Jun 19 2016 pterjan <pterjan> 2.110.0-5.mga6
+ Revision: 1028219
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 2.110.0-4.mga6
+ Revision: 930036
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.110.0-3.mga5
+ Revision: 740520
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.110.0-2.mga5
+ Revision: 684938
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 2.110.0-1.mga5
+ Revision: 585241
- update to 2.11

* Fri Oct 18 2013 umeabot <umeabot> 2.100.0-3.mga4
+ Revision: 511970
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.100.0-2.mga3
+ Revision: 368024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 2.10

* Fri Jun 17 2011 jquelin <jquelin> 2.70.0-1.mga2
+ Revision: 108879
- update to 2.07

* Mon Feb 28 2011 jquelin <jquelin> 2.50.0-1.mga1
+ Revision: 61466
- update to 2.05
- update to 2.05

* Thu Jan 20 2011 jquelin <jquelin> 2.40.0-1.mga1
+ Revision: 26330
- mageia rebuild
- imported package perl-HTML-Format

